CVE-2002-1278
CVSS7.5
发布时间 :2002-11-12 00:00:00
修订时间 :2008-09-10 15:14:13
NMCOS    

[原文]The mailconf module in Linuxconf 1.24, and other versions before 1.28, on Conectiva Linux 6.0 through 8, and possibly other distributions, generates the Sendmail configuration file (sendmail.cf) in a way that configures Sendmail to run as an open mail relay, which allows remote attackers to send Spam email.


[CNNVD]Linuxconf恶意模块邮件转发漏洞(CNNVD-200211-028)

        Conectiva Linux 6.0至8版本及可能其他发布版本上的Linuxconf 1.24和其他1.28之前版本的mailconf模块配置Sendmail为开放邮件转发形式,生成Sendmail配置文件(sendmail.cf)。远程攻击者可以利用该漏洞发送Spam邮件。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:jacques_gelinas:linuxconf:1.2.4r2
cpe:/a:jacques_gelinas:linuxconf:1.2.5r3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1278
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1278
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200211-028
(官方数据源) CNNVD

- 其它链接及资源

http://www.iss.net/security_center/static/10554.php
(VENDOR_ADVISORY)  XF  linuxconf-sendmail-mail-relay(10554)
http://www.securityfocus.com/bid/6118
(UNKNOWN)  BID  6118
http://www.osvdb.org/6066
(UNKNOWN)  OSVDB  6066
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000544
(UNKNOWN)  CONECTIVA  CLA-2002:544

- 漏洞信息

Linuxconf恶意模块邮件转发漏洞
高危 输入验证
2002-11-12 00:00:00 2005-05-13 00:00:00
远程  
        Conectiva Linux 6.0至8版本及可能其他发布版本上的Linuxconf 1.24和其他1.28之前版本的mailconf模块配置Sendmail为开放邮件转发形式,生成Sendmail配置文件(sendmail.cf)。远程攻击者可以利用该漏洞发送Spam邮件。

- 公告与补丁

        Conectiva has released a security advisory containing fixes.
        Fixes are available:
        Jacques Gelinas Linuxconf 1.2.4 r2
        
        Jacques Gelinas Linuxconf 1.2.5 r3
        

- 漏洞信息

6066
Linuxconf mailconf Improper Sendmail Relay Configuration
Remote / Network Access Misconfiguration
Loss of Integrity
Exploit Public

- 漏洞描述

Conectiva linuxconf contains a flaw that may allow a remote attacker to send e-mail without authenticating (ie: "spam"). The problem is that linuxconf utility generates the sendmail configuration file (sendmail.cf) with options that configures sendmail to run as an open mail relay.

- 时间线

2002-11-05 Unknow
2002-11-05 Unknow

- 解决方案

Upgrade to version 1.29r1 or higher or apply the appropriate patches from Conectiva, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Linuxconf mailconf Module Mail Relay Vulnerability
Input Validation Error 6118
Yes No
2002-11-06 12:00:00 2009-07-11 06:06:00
Vulnerability announced in a Conectiva security advisory.

- 受影响的程序版本

Jacques Gelinas Linuxconf 1.2.5 r3
Jacques Gelinas Linuxconf 1.2.4 r2
Conectiva Linux 8.0
Conectiva Linux 7.0
Conectiva Linux 6.0

- 漏洞讨论

A vulnerability has been discovered in the mailconf module included with the Linuxconf utility.

It has been reported that a problem exists in the configuration file created by the mailconf module, which could allow remote attackers to use the system's Sendmail server as a mail relay.

Exploitation of this issue could allow an attacker to send email messages outside of the served network. This could result in unauthorized messages being sent from the vulnerable server.

It should be noted that the default configuration file distributed with Sendmail is not vulnerable to this issue. It must have been created by Linuxconf for this vulnerability to be introduced.

- 漏洞利用

There is no exploit code required.

- 解决方案

Conectiva has released a security advisory containing fixes.

Fixes are available:


Jacques Gelinas Linuxconf 1.2.4 r2

Jacques Gelinas Linuxconf 1.2.5 r3

Conectiva Linux 6.0

Conectiva Linux 7.0

Conectiva Linux 8.0

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站